/*
 * Stopwatch.java
 * KIDware (206) 721-2556
 */
import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

public class Stopwatch extends JFrame 
{

  // declare controls used
  static JButton startButton = new JButton();
  static JButton stopButton = new JButton();
  static JButton exitButton = new JButton();
  static JLabel startLabel = new JLabel();
  static JLabel stopLabel = new JLabel();
  static JLabel elapsedLabel = new JLabel();;
  static JTextField startTextField = new JTextField();
  static JTextField stopTextField = new JTextField();
  static JTextField elapsedTextField = new JTextField();


  public static void main(String args[]) 
  {
  	// Construct frame
    new Stopwatch().show();
;
  }

  public Stopwatch() 
  {
  	
  	// Frame constructor
    setTitle("Stopwatch Application");
    getContentPane().setLayout(new GridBagLayout());

		// add controls
    GridBagConstraints gridConstraints = new GridBagConstraints();

    startButton.setText("Start Timing");
    gridConstraints.gridx = 0;
    gridConstraints.gridy = 0;
    getContentPane().add(startButton, gridConstraints);

    stopButton.setText("Stop Timing");
    gridConstraints.gridx = 0;
    gridConstraints.gridy = 1;
    getContentPane().add(stopButton, gridConstraints);

    exitButton.setText("Exit");
    gridConstraints.gridx = 0;
    gridConstraints.gridy = 2;
    getContentPane().add(exitButton, gridConstraints);

    startLabel.setText("Start Time");
    gridConstraints.gridx = 1;
    gridConstraints.gridy = 0;
    getContentPane().add(startLabel, new GridBagConstraints());

    stopLabel.setText("Stop Time");
    gridConstraints.gridx = 1;
    gridConstraints.gridy = 1;
    getContentPane().add(stopLabel, gridConstraints);

    elapsedLabel.setText("Elapsed Time (sec)");
    gridConstraints.gridx = 1;
    gridConstraints.gridy = 2;
    getContentPane().add(elapsedLabel, gridConstraints);

    startTextField.setText("");
    startTextField.setColumns(15);
    gridConstraints.gridx = 2;
    gridConstraints.gridy = 0;
    getContentPane().add(startTextField, gridConstraints);

    stopTextField.setText("");
    stopTextField.setColumns(15);
    gridConstraints.gridx = 2;
    gridConstraints.gridy = 1;
    getContentPane().add(stopTextField, gridConstraints);

    elapsedTextField.setText("");
    elapsedTextField.setColumns(15);
    gridConstraints.gridx = 2;
    gridConstraints.gridy = 2;
    getContentPane().add(elapsedTextField, gridConstraints);

    pack();
  }

}
