/*
 * BeepProblem.java
 */

import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

public class BeepProblem extends JFrame 
{
  
  static JButton beepButton = new JButton();

  public static void main(String args[]) 
  {
    // construct frame
    new BeepProblem().show();
  }

  public BeepProblem() 
  {
    // frame constructor
    setTitle("Beep Problem");
    addWindowListener(new WindowAdapter() 
    {
      public void windowClosing(WindowEvent e) 
      {
        exitForm(e);
      }
    });
    getContentPane().setLayout(new GridBagLayout());

    // add button and method listener
    GridBagConstraints gridConstraints = new GridBagConstraints();
    beepButton.setText("Beep!");
    gridConstraints.gridx = 0;
    gridConstraints.gridy = 0;
    getContentPane().add(beepButton, gridConstraints);
    beepButton.addActionListener(new ActionListener() 
    {
      public void actionPerformed(ActionEvent e) 
      {
        beepButtonActionPerformed(e);
      }
    });
    
    pack();
    
  }
  
  private void beepButtonActionPerformed(ActionEvent e)
  {
    // make a beep
    Toolkit.getDefaultToolkit().beep();
  }

  private void exitForm(WindowEvent e) 
  {
    System.exit(0);
  }
}
